/**
	AD9850-628v1.h

	Firmware pour piloter un circuit DDS : AD9850
	avec un AVR atmega2560

**/


#ifndef	AD9850_628V1_H
#define	AD9850_628V1_H

#pragma	once

#define	PORT_AD9850	PORTK

#define	pin_WCL		0b01000000		// (sortie)
#define	pin_D7		0b10000000		// (sortie)
#define	pin_FQU		0b00100000		// (sortie)
#define	pin_RESET	0b00010000		// (sortie)


class AD9850
{


public:

  uint32_t f_out; // fréquence du signal de sortie sinusoïdal
  uint32_t FTW;
  uint8_t phase;

	double f_outMin = 1; // 1Hz;
	double f_outMax = 50000000; // 50MHz

			
	uint8_t DIV;
	
	AD9850();
	
	void reset();
	
	void out_F(uint32_t f_out_i);
	
private:


	void calcul_FTW();
	void impulse_clk_W();
	void impulse_FQ_U();

	
};

#endif
