
#include "uart2560_628.h"

// voir le tableau page:400 du pdf atmega640-1280-2560-2561 pour avoir un aperçu de toutes ces appellations  barbares !

void USART_Init(void)
{
//Set baud rate

	UBRR3H=(uint8_t)(UBRRVAL>>8);		//high byte
	UBRR3L=(uint8_t)UBRRVAL;	//low byte

//Set data frame format: mode asynchrone, no parity, 1 stop bit, 8 bit size

	UCSR3C=(2<<UMSEL30) |(3<<UCSZ30);	

//Enable Transmitter and Receiver and Interrupt on receive complete
	UCSR3B=(1<<RXEN3)|(1<<RXCIE3) | (1<<TXEN3);


	
}


uint8_t USART_RxByte(void)
{
    // Wait until a byte has been received
    while((UCSR3A&(1<<RXC3)) == 0);

    // Return received data
    return UDR3;
}


void USART_TxByte(uint8_t u8Data)
{
// Wait if a byte is being transmitted
    while((UCSR3A&(1<<UDRE3)) == 0);

// Transmit data
    UDR3 = u8Data;  
}


void USART_TxStr(char *CH1)
{
	uint8_t i;
	i=0;
	while (CH1[i] != '\0')
	{
		USART_TxByte(CH1[i]);
		i++;
	}
}
